Bug 5454 - Table at dinodream.com is too tall in Safari
Summary: Table at dinodream.com is too tall in Safari
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tables (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://www.dinodream.com/
Keywords: HasReduction
: 11944 (view as bug list)
Depends on:
Blocks: 9610
  Show dependency treegraph
Reported: 2005-10-21 13:42 PDT by Dave Hyatt
Modified: 2007-01-28 22:27 PST (History)
5 users (show)

See Also:

Test case (3.62 KB, text/html)
2006-02-11 05:18 PST, jonathanjohnsson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Hyatt 2005-10-21 13:42:23 PDT
The table at www.dinodream.com is too tall in Safari.  Works in Opera, Firefox and WinIE.
Comment 1 Eric Seidel 2005-12-27 15:34:55 PST
It's the "Taze" table it seems.  Needs a reduced test case though.
Comment 2 jonathanjohnsson 2006-02-11 05:18:02 PST
Created attachment 6408 [details]
Test case

The test case consists mainly of a table inside a div inside a table. Safari seems to have trouble calculating the height of the td containing the div. The div has "overflow: auto", and the table it contains has align="left". Removing the latter property makes Safari render correctly. 

The text below the div moves depending on the amount of the text inside the div.
Comment 3 Joost de Valk (AlthA) 2006-02-11 07:35:08 PST
Though this testcase might need some work, it accurately shows the problem it seems, so changing keyword.
Comment 4 David Kilzer (:ddkilzer) 2006-12-23 07:06:54 PST
*** Bug 11944 has been marked as a duplicate of this bug. ***
Comment 5 David Kilzer (:ddkilzer) 2006-12-23 07:07:45 PST
(In reply to comment #4)
> *** Bug 11944 has been marked as a duplicate of this bug. ***

This is a Quriksmode bug.

Comment 6 David Kilzer (:ddkilzer) 2007-01-28 20:16:03 PST
This has been fixed as of a locally-built debug build of WebKit r19207 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8L127).

Probably fixed by Mitz's recent table layout fixes.

Comment 7 mitz 2007-01-28 22:27:17 PST
I think Hyatt fixed this one.